Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coef_diff_turb_mod.F90	(revision 5143)
@@ -1,19 +1,18 @@
-
 MODULE coef_diff_turb_mod
 
-! This module contains some procedures for calculation of the coefficients of the
-! turbulent diffusion in the atmosphere and coefficients for turbulent diffusion 
-! at surface(cdrag)
+  ! This module contains some procedures for calculation of the coefficients of the
+  ! turbulent diffusion in the atmosphere and coefficients for turbulent diffusion
+  ! at surface(cdrag)
 
   IMPLICIT NONE
-  
+
 CONTAINS
 
-!****************************************************************************************
+  !****************************************************************************************
 
   SUBROUTINE coef_diff_turb(dtime, nsrf, knon, ni, &
-       ypaprs, ypplay, yu, yv, yq, yt, yts, yqsurf, ycdragm, &
-       ycoefm, ycoefh ,yq2, yeps, ydrgpro)
- 
+          ypaprs, ypplay, yu, yv, yq, yt, yts, yqsurf, ycdragm, &
+          ycoefm, ycoefh, yq2, yeps, ydrgpro)
+
     USE dimphy
     USE indice_sol_mod
@@ -21,264 +20,263 @@
     USE lmdz_clesphys
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-
-! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the 
-! atmosphere 
-! NB! No values are calculated between surface and the first model layer. 
-!     ycoefm(:,1) and ycoefh(:,1) are not valid !!!
-
-
-! Input arguments
-!****************************************************************************************
-    REAL, INTENT(IN)                           :: dtime
-    INTEGER, INTENT(IN)                        :: nsrf, knon
-    INTEGER, DIMENSION(klon), INTENT(IN)       :: ni
-    REAL, DIMENSION(klon,klev+1), INTENT(IN)   :: ypaprs
-    REAL, DIMENSION(klon,klev), INTENT(IN)     :: ypplay
-    REAL, DIMENSION(klon,klev), INTENT(IN)     :: yu, yv
-    REAL, DIMENSION(klon,klev), INTENT(IN)     :: yq, yt
-    REAL, DIMENSION(klon), INTENT(IN)          :: yts, yqsurf
-    REAL, DIMENSION(klon), INTENT(IN)          :: ycdragm
-!FC
-    REAL, DIMENSION(klon,klev), INTENT(IN)     :: ydrgpro
-
-
-! InOutput arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon,klev+1), INTENT(INOUT):: yq2
-  
-! Output arguments
-!****************************************************************************************
-    REAL, DIMENSION(klon,klev+1), INTENT(OUT)  :: yeps
-    REAL, DIMENSION(klon,klev), INTENT(OUT)    :: ycoefh
-    REAL, DIMENSION(klon,klev), INTENT(OUT)    :: ycoefm
-
-! Other local variables
-!****************************************************************************************
-    INTEGER                                    :: k, i, j
-    REAL, DIMENSION(klon,klev)                 :: ycoefm0, ycoefh0, yzlay, yteta
-    REAL, DIMENSION(klon,klev+1)               :: yzlev, q2diag, ykmm, ykmn, ykmq
-    REAL, DIMENSION(klon)                      :: yustar
-
-! Include
-!****************************************************************************************
-    INCLUDE "YOETHF.h"
+    USE lmdz_YOETHF
+
+    ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the
+    ! atmosphere
+    ! NB! No values are calculated between surface and the first model layer.
+    !     ycoefm(:,1) and ycoefh(:,1) are not valid !!!
+
+
+    ! Input arguments
+    !****************************************************************************************
+    REAL, INTENT(IN) :: dtime
+    INTEGER, INTENT(IN) :: nsrf, knon
+    INTEGER, DIMENSION(klon), INTENT(IN) :: ni
+    REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: ypaprs
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: ypplay
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: yu, yv
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: yq, yt
+    REAL, DIMENSION(klon), INTENT(IN) :: yts, yqsurf
+    REAL, DIMENSION(klon), INTENT(IN) :: ycdragm
+    !FC
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: ydrgpro
+
+
+    ! InOutput arguments
+    !****************************************************************************************
+    REAL, DIMENSION(klon, klev + 1), INTENT(INOUT) :: yq2
+
+    ! Output arguments
+    !****************************************************************************************
+    REAL, DIMENSION(klon, klev + 1), INTENT(OUT) :: yeps
+    REAL, DIMENSION(klon, klev), INTENT(OUT) :: ycoefh
+    REAL, DIMENSION(klon, klev), INTENT(OUT) :: ycoefm
+
+    ! Other local variables
+    !****************************************************************************************
+    INTEGER :: k, i, j
+    REAL, DIMENSION(klon, klev) :: ycoefm0, ycoefh0, yzlay, yteta
+    REAL, DIMENSION(klon, klev + 1) :: yzlev, q2diag, ykmm, ykmn, ykmq
+    REAL, DIMENSION(klon) :: yustar
+
+    ! Include
+    !****************************************************************************************
     INCLUDE "YOMCST.h"
-
 
     ykmm = 0 !ym missing init
     ykmn = 0 !ym missing init
     ykmq = 0 !ym missing init
-    
-    yeps(:,:) = 0.
-
-!****************************************************************************************    
-! Calcul de coefficients de diffusion turbulent de l'atmosphere : 
-! ycoefm(:,2:klev), ycoefh(:,2:klev) 
-
-!****************************************************************************************    
+
+    yeps(:, :) = 0.
+
+    !****************************************************************************************
+    ! Calcul de coefficients de diffusion turbulent de l'atmosphere :
+    ! ycoefm(:,2:klev), ycoefh(:,2:klev)
+
+    !****************************************************************************************
 
     CALL coefkz(nsrf, knon, ypaprs, ypplay, &
-         ksta, ksta_ter, &
-         yts, yu, yv, yt, yq, &
-         yqsurf, &
-         ycoefm, ycoefh)
-  
-!****************************************************************************************
-! Eventuelle recalcule des coeffeicients de diffusion turbulent de l'atmosphere : 
-! ycoefm(:,2:klev), ycoefh(:,2:klev) 
-
-!****************************************************************************************
+            ksta, ksta_ter, &
+            yts, yu, yv, yt, yq, &
+            yqsurf, &
+            ycoefm, ycoefh)
+
+    !****************************************************************************************
+    ! Eventuelle recalcule des coeffeicients de diffusion turbulent de l'atmosphere :
+    ! ycoefm(:,2:klev), ycoefh(:,2:klev)
+
+    !****************************************************************************************
 
     IF (iflag_pbl==1) THEN
-       CALL coefkz2(nsrf, knon, ypaprs, ypplay, yt, &
-            ycoefm0, ycoefh0)
-
-       DO k = 2, klev
-          DO i = 1, knon
-             ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
-             ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
-          ENDDO
-       ENDDO
+      CALL coefkz2(nsrf, knon, ypaprs, ypplay, yt, &
+              ycoefm0, ycoefh0)
+
+      DO k = 2, klev
+        DO i = 1, knon
+          ycoefm(i, k) = MAX(ycoefm(i, k), ycoefm0(i, k))
+          ycoefh(i, k) = MAX(ycoefh(i, k), ycoefh0(i, k))
+        ENDDO
+      ENDDO
     ENDIF
 
-  
-!****************************************************************************************  
-! Calcul d'une diffusion minimale pour les conditions tres stables
-
-!****************************************************************************************
+
+    !****************************************************************************************
+    ! Calcul d'une diffusion minimale pour les conditions tres stables
+
+    !****************************************************************************************
     IF (ok_kzmin) THEN
-       CALL coefkzmin(knon,ypaprs,ypplay,yu,yv,yt,yq,ycdragm, &
-            ycoefm0,ycoefh0)
-       
-       DO k = 2, klev
-          DO i = 1, knon
-             ycoefm(i,k) = MAX(ycoefm(i,k),ycoefm0(i,k))
-             ycoefh(i,k) = MAX(ycoefh(i,k),ycoefh0(i,k))
-          ENDDO
-       ENDDO
-       
+      CALL coefkzmin(knon, ypaprs, ypplay, yu, yv, yt, yq, ycdragm, &
+              ycoefm0, ycoefh0)
+
+      DO k = 2, klev
+        DO i = 1, knon
+          ycoefm(i, k) = MAX(ycoefm(i, k), ycoefm0(i, k))
+          ycoefh(i, k) = MAX(ycoefh(i, k), ycoefh0(i, k))
+        ENDDO
+      ENDDO
+
     ENDIF
 
-  
-!****************************************************************************************
-! MELLOR ET YAMADA adapte a Mars Richard Fournier et Frederic Hourdin
-
-!****************************************************************************************
+
+    !****************************************************************************************
+    ! MELLOR ET YAMADA adapte a Mars Richard Fournier et Frederic Hourdin
+
+    !****************************************************************************************
 
     IF (iflag_pbl>=3) THEN
 
-       yzlay(1:knon,1)= &
-            RD*yt(1:knon,1)/(0.5*(ypaprs(1:knon,1)+ypplay(1:knon,1))) &
-            *(ypaprs(1:knon,1)-ypplay(1:knon,1))/RG
-       DO k=2,klev
-          DO i = 1, knon
-             yzlay(i,k)= &
-                  yzlay(i,k-1)+RD*0.5*(yt(i,k-1)+yt(i,k)) &
-                  /ypaprs(i,k)*(ypplay(i,k-1)-ypplay(i,k))/RG
-          END DO
-       END DO
-
-       DO k=1,klev
-          DO i = 1, knon
-             yteta(i,k)= &
-                  yt(i,k)*(ypaprs(i,1)/ypplay(i,k))**RKAPPA &
-                  *(1.+0.61*yq(i,k))
-          END DO
-       END DO
-
-       yzlev(1:knon,1)=0.
-       yzlev(1:knon,klev+1)=2.*yzlay(1:knon,klev)-yzlay(1:knon,klev-1)
-       DO k=2,klev
-          DO i = 1, knon
-             yzlev(i,k)=0.5*(yzlay(i,k)+yzlay(i,k-1))
-          END DO
-       END DO
-
-!!$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!$! Pour memoire, le papier Hourdin et al. 2002 a ete obtenur avec un
-!!$! bug sur les coefficients de surface :
-!!$!          ycdragh(1:knon) = ycoefm(1:knon,1)
-!!$!          ycdragm(1:knon) = ycoefh(1:knon,1)
-!!$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-       ! Normalement, on peut passer dans les codes avec knon=0
-       ! Mais ca fait planter le replay.
-       ! En attendant une réécriture, on a joute des if (Fredho)
-       IF ( klon>1 .OR. (klon==1 .AND. knon==1) ) THEN
-          CALL ustarhb(knon,klev,knon,yu,yv,ycdragm, yustar)
-       endif
-     
-       IF (prt_level > 9) THEN
-          WRITE(lunout,*) 'USTAR = ',(yustar(i),i=1,knon)
-       ENDIF
-         
-!   iflag_pbl peut etre utilise comme longuer de melange
-       IF (iflag_pbl>=31) THEN
-          IF ( klon>1 .OR. (klon==1 .AND. knon==1) ) THEN
-          CALL vdif_kcay(knon,klev,knon,dtime,RG,RD,ypaprs,yt, &
-               yzlev,yzlay,yu,yv,yteta, &
-               ycdragm,yq2,q2diag,ykmm,ykmn,yustar, &
-               iflag_pbl)
-          endif
-       ELSE IF (iflag_pbl<20) THEN
-          CALL yamada4(ni,nsrf,knon,dtime,RG,RD,ypaprs,yt, &
-               yzlev,yzlay,yu,yv,yteta, &
-               ycdragm,yq2,yeps,ykmm,ykmn,ykmq,yustar, &
-               iflag_pbl,ydrgpro)
-!FC
-       ENDIF
-       
-       ycoefm(1:knon,2:klev)=ykmm(1:knon,2:klev)
-       ycoefh(1:knon,2:klev)=ykmn(1:knon,2:klev)
-                
+      yzlay(1:knon, 1) = &
+              RD * yt(1:knon, 1) / (0.5 * (ypaprs(1:knon, 1) + ypplay(1:knon, 1))) &
+                      * (ypaprs(1:knon, 1) - ypplay(1:knon, 1)) / RG
+      DO k = 2, klev
+        DO i = 1, knon
+          yzlay(i, k) = &
+                  yzlay(i, k - 1) + RD * 0.5 * (yt(i, k - 1) + yt(i, k)) &
+                          / ypaprs(i, k) * (ypplay(i, k - 1) - ypplay(i, k)) / RG
+        END DO
+      END DO
+
+      DO k = 1, klev
+        DO i = 1, knon
+          yteta(i, k) = &
+                  yt(i, k) * (ypaprs(i, 1) / ypplay(i, k))**RKAPPA &
+                          * (1. + 0.61 * yq(i, k))
+        END DO
+      END DO
+
+      yzlev(1:knon, 1) = 0.
+      yzlev(1:knon, klev + 1) = 2. * yzlay(1:knon, klev) - yzlay(1:knon, klev - 1)
+      DO k = 2, klev
+        DO i = 1, knon
+          yzlev(i, k) = 0.5 * (yzlay(i, k) + yzlay(i, k - 1))
+        END DO
+      END DO
+
+      !!$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+      !!$! Pour memoire, le papier Hourdin et al. 2002 a ete obtenur avec un
+      !!$! bug sur les coefficients de surface :
+      !!$!          ycdragh(1:knon) = ycoefm(1:knon,1)
+      !!$!          ycdragm(1:knon) = ycoefh(1:knon,1)
+      !!$!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+      ! Normalement, on peut passer dans les codes avec knon=0
+      ! Mais ca fait planter le replay.
+      ! En attendant une réécriture, on a joute des if (Fredho)
+      IF (klon>1 .OR. (klon==1 .AND. knon==1)) THEN
+        CALL ustarhb(knon, klev, knon, yu, yv, ycdragm, yustar)
+      endif
+
+      IF (prt_level > 9) THEN
+        WRITE(lunout, *) 'USTAR = ', (yustar(i), i = 1, knon)
+      ENDIF
+
+      !   iflag_pbl peut etre utilise comme longuer de melange
+      IF (iflag_pbl>=31) THEN
+        IF (klon>1 .OR. (klon==1 .AND. knon==1)) THEN
+          CALL vdif_kcay(knon, klev, knon, dtime, RG, RD, ypaprs, yt, &
+                  yzlev, yzlay, yu, yv, yteta, &
+                  ycdragm, yq2, q2diag, ykmm, ykmn, yustar, &
+                  iflag_pbl)
+        endif
+      ELSE IF (iflag_pbl<20) THEN
+        CALL yamada4(ni, nsrf, knon, dtime, RG, RD, ypaprs, yt, &
+                yzlev, yzlay, yu, yv, yteta, &
+                ycdragm, yq2, yeps, ykmm, ykmn, ykmq, yustar, &
+                iflag_pbl, ydrgpro)
+        !FC
+      ENDIF
+
+      ycoefm(1:knon, 2:klev) = ykmm(1:knon, 2:klev)
+      ycoefh(1:knon, 2:klev) = ykmn(1:knon, 2:klev)
+
     ELSE
-       ! No TKE for Standard Physics
-       yq2=0.
+      ! No TKE for Standard Physics
+      yq2 = 0.
     ENDIF !(iflag_pbl.ge.3)
 
   END SUBROUTINE coef_diff_turb
 
-!****************************************************************************************
+  !****************************************************************************************
 
   SUBROUTINE coefkz(nsrf, knon, paprs, pplay, &
-       ksta, ksta_ter, &
-       ts, &
-       u,v,t,q, &
-       qsurf, &
-       pcfm, pcfh)
-    
+          ksta, ksta_ter, &
+          ts, &
+          u, v, t, q, &
+          qsurf, &
+          pcfm, pcfh)
+
     USE dimphy
     USE indice_sol_mod
     USE lmdz_print_control, ONLY: prt_level, lunout
     USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
-  
-!======================================================================
-! Auteur(s) F. Hourdin, M. Forichon, Z.X. Li (LMD/CNRS) date: 19930922
-!           (une version strictement identique a l'ancien modele)
-! Objet: calculer le coefficient du frottement du sol (Cdrag) et les
-!        coefficients d'echange turbulent dans l'atmosphere.
-! Arguments:
-! nsrf-----input-I- indicateur de la nature du sol
-! knon-----input-I- nombre de points a traiter
-! paprs----input-R- pregssion a chaque intercouche (en Pa)
-! pplay----input-R- pression au milieu de chaque couche (en Pa)
-! ts-------input-R- temperature du sol (en Kelvin)
-! u--------input-R- vitesse u
-! v--------input-R- vitesse v
-! t--------input-R- temperature (K)
-! q--------input-R- vapeur d'eau (kg/kg)
-
-! pcfm-----output-R- coefficients a calculer (vitesse)
-! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
-!======================================================================
-    INCLUDE "YOETHF.h"
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
+    !======================================================================
+    ! Auteur(s) F. Hourdin, M. Forichon, Z.X. Li (LMD/CNRS) date: 19930922
+    !           (une version strictement identique a l'ancien modele)
+    ! Objet: calculer le coefficient du frottement du sol (Cdrag) et les
+    !        coefficients d'echange turbulent dans l'atmosphere.
+    ! Arguments:
+    ! nsrf-----input-I- indicateur de la nature du sol
+    ! knon-----input-I- nombre de points a traiter
+    ! paprs----input-R- pregssion a chaque intercouche (en Pa)
+    ! pplay----input-R- pression au milieu de chaque couche (en Pa)
+    ! ts-------input-R- temperature du sol (en Kelvin)
+    ! u--------input-R- vitesse u
+    ! v--------input-R- vitesse v
+    ! t--------input-R- temperature (K)
+    ! q--------input-R- vapeur d'eau (kg/kg)
+
+    ! pcfm-----output-R- coefficients a calculer (vitesse)
+    ! pcfh-----output-R- coefficients a calculer (chaleur et humidite)
+    !======================================================================
     INCLUDE "YOMCST.h"
-    INCLUDE "FCTTRE.h"
-
-! Arguments:
-
-    INTEGER, INTENT(IN)                      :: knon, nsrf
-    REAL, INTENT(IN)                         :: ksta, ksta_ter
-    REAL, DIMENSION(klon), INTENT(IN)        :: ts
-    REAL, DIMENSION(klon,klev+1), INTENT(IN) :: paprs
-    REAL, DIMENSION(klon,klev), INTENT(IN)   :: pplay
-    REAL, DIMENSION(klon,klev), INTENT(IN)   :: u, v, t, q
-    REAL, DIMENSION(klon), INTENT(IN)        :: qsurf
-
-    REAL, DIMENSION(klon,klev), INTENT(OUT)  :: pcfm, pcfh
-
-! Local variables:
-
-    INTEGER, DIMENSION(klon)    :: itop ! numero de couche du sommet de la couche limite
-
-! Quelques constantes et options:
-
-    REAL, PARAMETER :: cepdu2=0.1**2
-    REAL, PARAMETER :: CKAP=0.4
-    REAL, PARAMETER :: cb=5.0
-    REAL, PARAMETER :: cc=5.0
-    REAL, PARAMETER :: cd=5.0
-    REAL, PARAMETER :: clam=160.0
-    REAL, PARAMETER :: ratqs=0.05 ! largeur de distribution de vapeur d'eau
-    LOGICAL, PARAMETER :: richum=.TRUE. ! utilise le nombre de Richardson humide
-    REAL, PARAMETER :: ric=0.4 ! nombre de Richardson critique
-    REAL, PARAMETER :: prandtl=0.4
+
+    ! Arguments:
+
+    INTEGER, INTENT(IN) :: knon, nsrf
+    REAL, INTENT(IN) :: ksta, ksta_ter
+    REAL, DIMENSION(klon), INTENT(IN) :: ts
+    REAL, DIMENSION(klon, klev + 1), INTENT(IN) :: paprs
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: pplay
+    REAL, DIMENSION(klon, klev), INTENT(IN) :: u, v, t, q
+    REAL, DIMENSION(klon), INTENT(IN) :: qsurf
+
+    REAL, DIMENSION(klon, klev), INTENT(OUT) :: pcfm, pcfh
+
+    ! Local variables:
+
+    INTEGER, DIMENSION(klon) :: itop ! numero de couche du sommet de la couche limite
+
+    ! Quelques constantes et options:
+
+    REAL, PARAMETER :: cepdu2 = 0.1**2
+    REAL, PARAMETER :: CKAP = 0.4
+    REAL, PARAMETER :: cb = 5.0
+    REAL, PARAMETER :: cc = 5.0
+    REAL, PARAMETER :: cd = 5.0
+    REAL, PARAMETER :: clam = 160.0
+    REAL, PARAMETER :: ratqs = 0.05 ! largeur de distribution de vapeur d'eau
+    LOGICAL, PARAMETER :: richum = .TRUE. ! utilise le nombre de Richardson humide
+    REAL, PARAMETER :: ric = 0.4 ! nombre de Richardson critique
+    REAL, PARAMETER :: prandtl = 0.4
     REAL kstable ! diffusion minimale (situation stable)
     ! GKtest
     ! PARAMETER (kstable=1.0e-10)
-!IM: 261103     REAL kstable_ter, kstable_sinon
-!IM: 211003 cf GK   PARAMETER (kstable_ter = 1.0e-6)
-!IM: 261103     PARAMETER (kstable_ter = 1.0e-8)
-!IM: 261103   PARAMETER (kstable_ter = 1.0e-10)
-!IM: 261103   PARAMETER (kstable_sinon = 1.0e-10)
+    !IM: 261103     REAL kstable_ter, kstable_sinon
+    !IM: 211003 cf GK   PARAMETER (kstable_ter = 1.0e-6)
+    !IM: 261103     PARAMETER (kstable_ter = 1.0e-8)
+    !IM: 261103   PARAMETER (kstable_ter = 1.0e-10)
+    !IM: 261103   PARAMETER (kstable_sinon = 1.0e-10)
     ! fin GKtest
-    REAL, PARAMETER :: mixlen=35.0 ! constante controlant longueur de melange
+    REAL, PARAMETER :: mixlen = 35.0 ! constante controlant longueur de melange
     INTEGER isommet ! le sommet de la couche limite
-    LOGICAL, PARAMETER :: tvirtu=.TRUE. ! calculer Ri d'une maniere plus performante
-    LOGICAL, PARAMETER :: opt_ec=.FALSE.! formule du Centre Europeen dans l'atmosphere
-
-! Variables locales:
+    LOGICAL, PARAMETER :: tvirtu = .TRUE. ! calculer Ri d'une maniere plus performante
+    LOGICAL, PARAMETER :: opt_ec = .FALSE.! formule du Centre Europeen dans l'atmosphere
+
+    ! Variables locales:
     INTEGER i, k !IM 120704
-    REAL zgeop(klon,klev)
+    REAL zgeop(klon, klev)
     REAL zmgeom(klon)
     REAL zri(klon)
